# -*- rpm-spec -*-
# $Id: libopenobex,v 1.6 2003/12/12 13:00:26 grigory Exp $

%define realname openobex

%def_disable static

Summary: OpenOBEX - Free implementation of the Object Exchange protocol
Name: lib%realname
Version: 1.3
Release: alt2
License: LGPL
Group: System/Libraries
Packager: Pavlov Konstantin <thresh@altlinux.ru>
URL: http://openobex.sourceforge.net

Source: ftp://download.sourceforge.net/pub/sourceforge/openobex/%realname-%version.tar.gz

BuildRequires: libbluez-devel libusb-devel pkg-config xmlto

%if_enabled static
BuildRequires: glibc-devel-static
%endif

%package devel
Summary: Development files of OpenOBEX libraries
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: Static development files of OpenOBEX libraries
Group: Development/C
Requires: %name-devel = %version-%version
%endif

%description
OpenOBEX - Free implementation of the Object Exchange protocol.

This package contains Open OBEX shared libraries.

%description devel
OpenOBEX - Free implementation of the Object Exchange protocol.

This package containns development files of Open OBEX library.

%if_enabled static
%description devel-static
OpenOBEX - Free implementation of the Object Exchange protocol.

This package contains static development files of Open OBEX library.
%endif

%prep
%setup -q -n %realname-%version

%build
%__autoreconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
									--prefix=%_prefix \
									--libdir=%_libdir \
									%{subst_enable static}

%make_build

cd doc
%make_build openobex.sgml
xmlto -o openobex html openobex.sgml
cd ..

%install
%make_install DESTDIR="%buildroot" install

mkdir -p %buildroot%_docdir/%realname-%version/devel
cp -R doc/openobex %buildroot%_docdir/%realname-%version/devel
cp {AUTHORS,ChangeLog,README} %buildroot%_docdir/%realname-%version

ln -sf /usr/share/license/GPL-2 %buildroot%_docdir/%realname-%version/COPYING
ln -sf /usr/share/license/LGPL-2.1 %buildroot%_docdir/%realname-%version/COPYING.LIB

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_docdir/%realname-%version/
%exclude %_docdir/%realname-%version/devel
%_libdir/lib%{realname}*.so.*

%files devel
%_pkgconfigdir/%realname.pc
%_includedir/*
%_libdir/lib%realname.so
%_datadir/aclocal/%realname.m4
%_docdir/%realname-%version/devel

%if_enabled static
%files devel-static
%_libdir/lib%{realname}*.a
%endif

%changelog
* Mon Jan 28 2008 Pavlov Konstantin <thresh@altlinux.ru> 1.3-alt2
- Fix #14024.

* Fri Aug 11 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3-alt1
- 1.3 version.
- Added libusb-devel, pkg-config and xmlto to BuildRequires.
- Removed -config from %%files section as it doesn't exist anymore.
- Rewrote %%descriptions and %%summaries.
- Build docs (thx vsu@).
- Substited Copyright tag with License.
- Fixed Requires.
- s/relaname/realname.
- Fixed %%post and %%postun.
- Added a switch to deal with static. Default: off.

* Wed Feb 01 2006 Anton Farygin <rider@altlinux.ru> 1.0.1-alt2.1
- NMU: fixed build for x86_64 (added autoreconf into build section)

* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 1.0.1-alt2
- remove *.la files due policy

* Wed Oct 22 2003 Grigory Milev <week@altlinux.ru> 1.0.1-alt1
- new version released

* Thu Apr 17 2003 Grigory Milev <week@altlinux.ru> 1.0.0-alt2
- move static devellibraries to separate package

* Tue Jan 21 2003 Grigory Milev <week@altlinux.ru> 1.0.0-alt1
- new version released

* Tue Dec 10 2002 Grigory Milev <week@altlinux.ru> 0.9.8-alt1
- Initial build

